How to Protect Yourself from WannaCry

Share Button

A ransomware called WannaCry (or Wcry, WanaCrypt0r, WannaCrypt, Wana Decrypt0r) has been leaked online and is spreading rapidly across the globe. WannaCry exploits a vulnerability in Microsoft Server Message Block 1.0 (SMBv1) protocol.  Products at risk include Windows Vista, Windows Server 2008, Windows 7, Windows Server 2008 R2, Windows 8.1, Windows Server 2012 and Windows Server 2012 R2, Windows RT 8.1, Windows 10, Windows Server 2016 and Windows Server Core installation option.  Microsoft released Critical Security Patch MS17-010 to resolve vulnerabilities in SMBv1 protocol effecting all Microsoft Windows versions from Vista to Windows Server 2016 and Server Core versions.

 We are advising all of our clients to apply the patch immediately.  Additionally, our partners at Fortinet, AlienVault, Webroot and others have been leading the way in protecting clients from ransomware attacks including WannaCry.  Please contact VPLS Solutions today with assistance in improving your security posture.